Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.core.reflection
Class MethodList

    java.lang.Object
      com.sun.jersey.core.reflection.MethodList

All Implemented Interfaces:
  java.lang.Iterable<AnnotatedMethod>

    public class MethodList

extends java.lang.Object
implements java.lang.Iterable<AnnotatedMethod>

Author:
  Paul.Sandoz@Sun.Com

Constructor Summary
`MethodList(AnnotatedMethod... methods)`
`MethodList(java.lang.Class c)`
`MethodList(java.util.List<java.lang.reflect.Method> methods)`
`MethodList(java.lang.reflect.Method... methods)`

Method Summary
`
`<T extends java.lang.annotation.Annotation> MethodList`
` | `hasAnnotation(java.lang.Class<T> annotation)`
`
`<T extends java.lang.annotation.Annotation> MethodList`
` | `hasMetaAnnotation(java.lang.Class<T> annotation)`
`
`<T extends java.lang.annotation.Annotation> MethodList`
` | `hasNotAnnotation(java.lang.Class<T> annotation)`
`
`<T extends java.lang.annotation.Annotation> MethodList`
` | `hasNotMetaAnnotation(java.lang.Class<T> annotation)`
`
`<T extends java.lang.annotation.Annotation> MethodList`
` | `hasNumParams(int i)`
`
`<T extends java.lang.annotation.Annotation> MethodList`
` | `hasReturnType(java.lang.Class<?> r)`
`
`<T extends java.lang.annotation.Annotation> MethodList`
` | `isNotPublic()`
`java.util.Iterator<AnnotatedMethod>` | `iterator()`
`
`<T extends java.lang.annotation.Annotation> MethodList`
` | `nameStartsWith(java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodList

    public MethodList(java.lang.Class c)

### MethodList

    public MethodList(java.util.List<java.lang.reflect.Method> methods)

### MethodList

    public MethodList(java.lang.reflect.Method... methods)

### MethodList

    public MethodList(AnnotatedMethod... methods)

Method Detail

### iterator

    public java.util.Iterator<AnnotatedMethod> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<AnnotatedMethod>`

### isNotPublic

    public <T extends java.lang.annotation.Annotation> MethodList isNotPublic()

### hasNumParams

    public <T extends java.lang.annotation.Annotation> MethodList hasNumParams(int i)

### hasReturnType

    public <T extends java.lang.annotation.Annotation> MethodList hasReturnType(java.lang.Class<?> r)

### nameStartsWith

    public <T extends java.lang.annotation.Annotation> MethodList nameStartsWith(java.lang.String s)

### hasAnnotation

    public <T extends java.lang.annotation.Annotation> MethodList hasAnnotation(java.lang.Class<T> annotation)

### hasMetaAnnotation

    public <T extends java.lang.annotation.Annotation> MethodList hasMetaAnnotation(java.lang.Class<T> annotation)

### hasNotAnnotation

    public <T extends java.lang.annotation.Annotation> MethodList hasNotAnnotation(java.lang.Class<T> annotation)

### hasNotMetaAnnotation

    public <T extends java.lang.annotation.Annotation> MethodList hasNotMetaAnnotation(java.lang.Class<T> annotation)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.